const ENV = 1;//0: TEST , 1: PUB

//api host and url
const DEV = {
	API_HOST : "dev.shouqu.me",
	API_URL : "https://dev.shouqu.me",
	SITE_HOST : "dev.shouqu.me",
	SITE_URL : "https://dev.shouqu.me",
	COOKIE_DOMAIN : "https://dev.shouqu.me",
}
const PUB = {
	API_HOST : "api.shouqu.me",
	API_URL : "https://api.shouqu.me",
	SITE_HOST : "shouqu.me" ,
	SITE_URL : "https://shouqu.me" ,
	COOKIE_DOMAIN :"https://shouqu.me" ,
}

//shouqu global config object
const SHOUQU = ENV ? PUB : DEV;

//api full path
const API_LOGIN = SHOUQU.API_URL + "/api_service/api/v1/user/login";
const API_GET_USER_INFO = SHOUQU.API_URL + "/api_service/api/v1/user/getInfo";
const API_ADD_BOOKMARK = SHOUQU.API_URL + "/api_service/api/v1/mark/add";
const API_UPDATE_BOOKMARK = SHOUQU.API_URL + "/api_service/api/v1/mark/update";
const API_REQUEST_CATEGOTY = SHOUQU.API_URL + "/api_service/api/v1/category/webList";
const API_CREATE_CATEGORY = SHOUQU.API_URL + "/api_service/api/v1/category/upload";
const API_BATCH_IMPORT = SHOUQU.API_URL + "/api_service/api/v1/mark/addBatch";

//params
const CHANNEL_ID = 19;//browser channel for chrome
// const CHANNEL_ID_CHROME = 19;//browser channel for chrome
// const CHANNEL_ID_FIREFOX = 18;//browser channel for FF
// const CHANNEL_ID_SAFARI = 20;//browser channel for safari
// const CHANNEL_ID_EDGE = 26;//browser channel for edge
// const CHANNEL_ID_INSTAPAPER = 21;//batch import from instapaper
const CHANNEL_ID_BATCH = 22;//batch import from weibo toutiao


//DOM ID
const CONTENT_ID = "SHOUQU_CONTENT";
const CONTENT_SIGNIN_LAYER_ID = "SHOUQU_SIGNIN";
const CONTENT_DASHBOARD_LAYER_ID = "SHOUQU_DASHBOARD";

//resource 
const DEFAULT_AVATAR_URL = "https://shouqu.me/app/images/default-avatar@2x.png";
const DEFAULT_SITE_URL = "https://shouqu.me";

//storage
const DEFAULT_STORAGE_KEY = "SHOUQU";
const DEFAULT_STORAGE_USER_INFO_KEY = DEFAULT_STORAGE_KEY + "_USER_INFO";
const DEFAULT_STORAGE_CATEGORY_LIST_KEY = DEFAULT_STORAGE_KEY + "_CATEGORY_LIST";

//iframe path and id
const DASHBOARD = {
	ID : "SHOUQU_DASHBOARD",
	PATH : "pages/dashboard.html"
};
const SIGNIN = {
	ID : "SHOUQU_SIGNIN",
	PATH : "pages/signin.html"
}