//Storage provide cookie and storage manipulations 
//note: all cookie or storage manipulated will in SHOUQU cookie domain
const Storage = {
	getUserId : function(callback){
		var cookieOption = {
			url : SHOUQU.COOKIE_DOMAIN,
			name : "userId"
		}
		chrome.cookies.get(cookieOption, function(cookie){
			var val = cookie === null ? null : cookie.value;
			if(callback) callback(val);
		})
	},
	setUserId : function(userId,callback){
		var cookieOption = {
			url : SHOUQU.COOKIE_DOMAIN,
			name : "userId",
			value : String(userId).toString()
		};
		chrome.cookies.set(cookieOption,function(cookie){
			var val = cookie === null ? null : cookie.value;
			if(callback) callback(val);
		})
	},
	deleteUserId : function(callback){
		var cookieOption = {
			name : "userId",
			url : SHOUQU.COOKIE_DOMAIN
		};
		chrome.cookies.remove(cookieOption,function(cookie){
			if(callback) callback(cookie)
		})
	},
	setCookie : function(cookieOption,callback){
		cookieOption.url = SHOUQU.COOKIE_DOMAIN;
		cookieOption.value = String(cookieOption.value);
		chrome.cookies.set(cookieOption,function(cookie){
			if(callback) callback(cookie);
		})
	},
	getCookie : function(cookieName,callback){
		var cookieOption = {
			url : SHOUQU.COOKIE_DOMAIN,
			name : String(cookieName)
		};
		chrome.cookies.get(cookieOption,function(cookie){
			if(callback) callback(cookie);
		})
	},
	deleteCookie : function(cookieName,callback){
		var cookieOption = {
			name : String(cookieName),
			url : SHOUQU.COOKIE_DOMAIN
		};
		chrome.cookies.remove(cookieOption,function(cookie){
			if(callback) callback(cookie)
		})
	},
	setStorage : function(storage,callback){},
	getStorage : function(storageKey,callback){}
}